<?php
namespace Teknisa\MAN\Factories;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class ItensRepository {

    protected  $entityManager;
    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

    public function defineIsNew($cdfilial, $cdtabeprec, $dtinivgprec, $cdproduto, $cdprpaitabpr, $nrorg) {
        $stmt = $this->entityManager->getConnection()->prepare(Utilities\Query::GET_CDPRODUTO_ITEMPRECO);
        $stmt->execute(array('CDFILIAL' => $cdfilial,
                             'CDTABEPREC' => $cdtabeprec,
                             'DTINIVGPREC' => $dtinivgprec,
                             'CDPRODUTO' => $cdproduto,
                             'CDPRPAITABPR' => $cdprpaitabpr,
                             'NRORG' => $nrorg));
        return $stmt->fetchAll();
    }
}